Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider
Class DefaultURLStreamHandler

    java.lang.Object
      java.net.URLStreamHandler
          org.apache.commons.vfs.provider.DefaultURLStreamHandler

public class DefaultURLStreamHandler
extends URLStreamHandler

A default URL stream handler that will work for most file systems.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Brian Olsen

Constructor Summary
`DefaultURLStreamHandler(VfsComponentContext context)`
`DefaultURLStreamHandler(VfsComponentContext context, FileSystemOptions fileSystemOptions)`

Method Summary
`protected URLConnection` | `openConnection(URL url)`
`protected void` | `parseURL(URL u, String spec, int start, int limit)`
`protected String` | `toExternalForm(URL u)`

Methods inherited from class java.net.URLStreamHandler
`equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, sameFile, setURL, setURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultURLStreamHandler

    public DefaultURLStreamHandler(VfsComponentContext context)

### DefaultURLStreamHandler

    public DefaultURLStreamHandler(VfsComponentContext context,
                                   FileSystemOptions fileSystemOptions)

Method Detail

### openConnection

    protected URLConnection openConnection(URL url)
                                    throws IOException

  Throws:
    `IOException`

### parseURL

    protected void parseURL(URL u,
                            String spec,
                            int start,
                            int limit)

### toExternalForm

    protected String toExternalForm(URL u)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.